<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Produits';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="produit-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Create Produit', ['create'], ['class' => 'btn btn-success']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
            //['class' => 'yii\grid\SerialColumn'],

            'order',
    		'diminutif',
            'nom',
            //'description',
            //'actif',
            //'illustration',
            // 'photo',
             'saison',
            // 'prix',
            // 'poids',
			'actif',
            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>

</div>
