<?php

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\captcha\Captcha;

/* @var $this yii\web\View */
$this->title = 'Du pain à Déservillers';
?>

<?php

$date_printemps = date('y').'-03-20' ;
$date_printemps_next = (date('y')+1).'-03-20' ;
$date_ete = date('y').'-06-20' ;
$date_automne = date('y').'-09-21' ;
$date_hiver = date('y').'-12-21' ;
$date_hiver_prev = (date('y')-1).'-12-21' ;
$date = date('y-m-d') ;
$is_printemps = false ;
$is_ete = false ;
$is_automne = false ;
$is_hiver = false ;

if($date >= $date_printemps && $date < $date_ete) 
	$is_printemps = true ;
if($date >= $date_ete && $date < $date_automne) 
	$is_ete = true ;
if($date >= $date_automne && $date < $date_hiver) 
	$is_automne = true ;
if($date >= $date_hiver && $date < $date_printemps_next) 
	$is_hiver = true ;
if($date >= $date_hiver_prev && $date < $date_printemps) 
	$is_hiver = true ;

?>
			
<div class="item" id="presentation">
	<div class="container">
		
		<input type="hidden" id="base_url" value="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>"  />
		
		<ul class="bjqs"></ul>

		<h1>Le Chat des Noisettes</h1>

		<!-- <div id="fournil">
			<h2>Fournil</h2>
			<p>Pains sur levain, à la farine de meule et au sel de Salins,<br /> cuits au feu de bois.</p>
		</div>

		<div id="epicerie">
			<h2>Petite épicerie</h2>
			<p>Quelques produits en vrac (pâtes, riz, farine, sucre...)</p>
		</div> -->
                
                <!--<div id="message-fermeture">
                    <div class="line1"><span>Le Chat des Noisettes</span> est actuellement <strong class="ferme">fermé</strong> pour cause de travaux.</div>
                    <div class="line2">La réouverture aura lieu dès que possible ! Plus de renseignements au <strong>06 37 02 72 20</strong></div>
                </div>-->

		<div class="col-md-6" id="">
			<h2>Fournil</h2>
			<p>Pains sur levain, à la farine de meule<br /> et au sel de Salins, cuits au feu de bois.</p>
			<a href="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/fournil-gf.jpg" data-lightbox="four" data-title="Le four à gueulard"><img class="img-rounded img-thumbnail" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/fournil.jpg" alt="Fournil" /></a>
		</div>
		
		<div class="col-md-6" id="">
			<h2>Vrac</h2>
			<p>Produits secs vendus sans emballages jetables.</p>
			<br />
			<a href="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/epicerie-gf.jpg" data-lightbox="vrac" data-title="Le vrac"><img class="img-rounded img-thumbnail" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/epicerie.jpg" alt="Fournil" /></a>
		</div>
		<div class="clr"></div>
	</div>
</div>
<div class="item back2" id="horaires">
	<div class="container">
		
		<div class="separateur"></div>
		<h2><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/icon_3020.png" alt="" /> Horaires</h2>
		
		<p>Horaires d'ouverture du <strong>Chat des Noisettes</strong>, à Déservillers.</p>
		    
		    <table class="table table-bordered">
		      <thead>
		        <tr>
		          <th></th>
		          <th>Horaire</th>
		        </tr>
		      </thead>
		      <tbody>
		        <tr>
		          <td class="jour">Lundi</td>
		          <td class="horaire">X</td>
		        </tr>
		        <tr>
		          <td class="jour">Mardi</td>
		          <td class="horaire">X</td>
		        </tr>
		        <tr>
		          <td class="jour">Mercredi</td>
		          <td class="horaire">7h à 12h30</td>
		        </tr>
		        <tr>
		          <td class="jour">Jeudi</td>
		          <td class="horaire">7h à 12h30</td>
		        </tr>
		        <tr>
		          <td class="jour">Vendredi</td>
		          <td class="horaire">7h à 12h30</td>
		        </tr>
		        <tr>
		          <td class="jour">Samedi</td>
		          <td class="horaire">7h à 12h30</td>
		        </tr>
		        <tr>
		          <td class="jour">Dimanche</td>
		          <td class="horaire">7h à 12h30</td>
		        </tr>
		      </tbody>
		    </table>

	</div>
</div>
<div class="item back1" id="points-vente">
	<div class="container">
		
		<div class="separateur"></div>
		<h2><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/icon_9667.png" alt="" /> Points de vente</h2>
		
		<div class="col-md-6">
			<iframe src="http://umap.openstreetmap.fr/en/map/le-chat-des-noisettes_26119?scaleControl=false&amp;miniMap=false&amp;scrollWheelZoom=false&amp;zoomControl=true&amp;allowEdit=false&amp;moreControl=true&amp;datalayersControl=true&amp;onLoadPanel=undefined"></iframe><p><a href="http://umap.openstreetmap.fr/en/map/le-chat-des-noisettes_26119">Voir en plein écran</a></p>
		</div>

		<div class="col-md-6">
			<div class="content">	

				<div class="bloc">
					<h3 class="top">Vente directe</h3>
					<address>
						<strong><span>&bull;</span> Le Chat des Noisettes</strong><br />
						8bis rue de l'École<br />
						25330 DÉSERVILLERS
					</address>
					
					<h3>Dépôts</h3>
					<address>
						<strong><span>&bull;</span> Laiterie du Lizon</strong><br />
						9 Grande Rue<br />
						25330 NANS-SOUS-SAINTE-ANNE
					</address>
					<address>
						<strong><span>&bull;</span> La petite Épicerie</strong><br />
						15 Grande Rue<br />
						25270 VILLERS-SOUS-CHALAMONT
					</address>
				</div>
				
				<!-- <div class="bloc">
					<h3>Dépôts</h3>
					<address>
						<strong><span>&bull;</span> Laiterie du Lison</strong><br />
						9 Grande Rue<br /> 
						25330 Nans-sous-Sainte-Anne
					</address>
					<address>
						<strong><span>&bull;</span> La petite épicerie</strong><br />
						15 Grande Rue<br />
						25270 Villers-sous-Chalamont
					</address>		
				</div>	

				<div class="bloc">
					<h3>AMAP</h3>
					<address>
						<strong><span>&bull;</span> Visage du Lison</strong><br />
						25330 Sans-sous-Sainte-Anne
					</address>		
				</div> -->							
			</div>
		</div>

	</div>
</div>
<div class="item back2" id="gamme">
	<div class="container">
		
		<div class="separateur"></div>
		<h2><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/icon_67951.png" alt="" /> Pain</h2>
		
		<a class="img-right" href="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/baguettes-gf.jpg" data-lightbox="baguettes"><img class="img-rounded img-thumbnail" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/baguettes.jpg" alt="Baguettes" /></a>
		
		<!-- <div class="bloc-right">
			<ul>
				<li><a data-toggle="modal" href="#fournisseurs">Fournisseurs</a></li>
				<li><a data-toggle="modal" href="#panification">Panification</a></li>
			</ul>
		</div> -->
		
		<div class="annee">
				
				
<?php function produit($nom, $produits, $vrac = false) {
	
	$produit = null ;
	
	foreach($produits as $p) {
		if($p->nom == $nom)
			$produit = $p ; 
	}
	
	if(is_null($produit))
		return;
	
	$id = strtolower($nom) ;
	$id = str_replace(' ','-',$id) ;
	$id = str_replace(' ','-',$id) ;
	$id = str_replace('\'','-',$id) ;
	$id = str_replace('(','',$id) ;
	$id = str_replace(')','',$id) ;
	
	$nom = htmlspecialchars($nom) ;
	
	$illustration = '' ;
	$illustration_modal = '<em>Pas encore d\'illustration pour ce produit.</em>' ;
	if(strlen($produit->illustration)) {
		$illustration = '<a class="illu" data-toggle="modal" href="#'.$id.'"><img src="'.Yii::$app->urlManager->getBaseUrl().'/uploads/'.$produit->illustration.'" alt="Illustration '.$nom.'" /></a>' ;
		$illustration_modal = '<img class="illustration" src="'.Yii::$app->urlManager->getBaseUrl().'/uploads/'.$produit->illustration.'" alt="Illustration '.$nom.'" />' ;
	}
	if(strlen($produit->photo)) {
		$illustration_modal = '<img class="photo img-rounded" src="'.Yii::$app->urlManager->getBaseUrl().'/uploads/'.$produit->photo.'" alt="Photo '.$nom.'" />' ;
	}
	
	$jours = '' ;
	if($produit->lundi) $jours .= 'lundi / ' ;
	if($produit->mardi) $jours .= 'mardi / ' ;
	if($produit->mercredi) $jours .= 'mercredi / ' ;
	if($produit->jeudi) $jours .= 'jeudi / ' ;
	if($produit->vendredi) $jours .= 'vendredi / ' ;
	if($produit->samedi) $jours .= 'samedi / ' ;
	if($produit->dimanche) $jours .= 'dimanche   ' ;
	
	if(strlen($jours))
		$jours = substr($jours, 0, strlen($jours)-3) ;
	
	// description
	if($vrac) {
		$description = Html::encode($produit->description) ;
	}
	else {
		$description = $produit->getDescription() ;
	}
	
	if(!$vrac)
		echo '<td>' ;
	
echo '
	'.$illustration.'
	<div class="contenu '.(($vrac) ? 'vrac' : '').'">
		<p class="nom"><a data-toggle="modal" href="#'.$id.'">'.$nom.'</a><br /><span class="prix">'.number_format($produit->prix, 2).' €</span></p>
		<p class="description"><a data-toggle="modal" href="#'.$id.'">'.Html::encode($produit->description).'</a></p>
		<!--<p class="jours">'.$jours.'</p>-->
	</div>
	
	<div class="modal fade" id="'.$id.'" tabindex="-1" role="dialog" aria-hidden="true">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
	        <h4 class="modal-title"><span class="nom">'.$nom.'</span> ' ;

		if($vrac) {
			echo '<p class="recette">'.htmlentities(nl2br($produit->description)).'</p>' ;	
		}
		else {
			echo '<span class="description"> &bull; '.$produit->getDescription().'</span>' ;
			echo '<p class="recette">'.htmlentities(nl2br($produit->recette)).'</p>' ;
			echo '<p class="jours">'.$jours.'</p>' ;
		}

		echo '
	      </div>
	      <div class="modal-body">
	        '.$illustration_modal.'
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
	      </div>
	    </div>
	  </div>
	</div>
' ;

	if(!$vrac)
		echo '</td>' ;

} ?>
                    
			<h3>Les baguettes</h3>
			<table class="table">
				<tbody>
					<tr>
						<?php produit('Rameau',$produits) ; ?>
						<?php produit('Ramille',$produits) ; ?>
						<?php produit('Ramier',$produits) ; ?>
					</tr>
				</tbody>
			</table>
			
			<h3>Les pains</h3>
			<table class="table">
				<tbody>
					<tr>
						<?php produit('Foyard',$produits) ; ?>
                                                <?php produit('Bouleau',$produits) ; ?>
						<?php produit('Charmille',$produits) ; ?>
						<?php produit('Sorbier des oiseleurs',$produits) ; ?>
						<?php produit('Coudrier',$produits) ; ?>
                                                <?php produit('Noyer',$produits) ; ?>
					</tr>
				</tbody>
			</table>
			
			<h3>Les spéciaux</h3>
			<table class="table">
				<tbody>
					<tr>
						<?php produit('Érable',$produits) ; ?>
					</tr>
				</tbody>
			</table>
			
			<h3>Les viennoiseries</h3>
			<table class="table">
				<tbody>
					<tr>
						<?php produit('Moineau',$produits) ; ?>
						<?php produit('Sittelle',$produits) ; ?>
						<?php produit('Mésange',$produits) ; ?>
					</tr>
				</tbody>
			</table>
                        
                        <h3>Les brioches & les pains briochés</h3>
			<table class="table">
				<tbody>
					<tr>
                                            <?php produit('Bouton d\'or',$produits) ; ?>
                                            <?php produit('Perce-neige',$produits) ; ?>
                                            <?php produit('Pâquerette',$produits) ; ?>
                                            <?php produit('Myosotis',$produits) ; ?>
                                        </tr>
                                </tbody>
			</table>      
                        
                        
	</div>

	</div>
</div>

<div class="item back2" id="vrac">
	<div class="container">
		<div class="separateur"></div>
		<h2><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/vrac.png" alt="" /> Vrac</h2>
		
		<div class="produits">
			<?php 
			
			foreach($produits as $p) {
				if($p->vrac && $p->actif)
					echo produit($p->nom, $produits, true) ;
			}
			
			?>
			
			<div class="clr"></div>
		</div>
	</div>
</div>
		

<div class="item" id="methode">
	<div class="container">
	
		<div class="separateur"></div>
		<h2><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/methode.png" alt="Icone méthode" /> Méthode de panification</h2>
		<div class="col-md-8">
                    
                    <p>L'ensemble de ma gamme est réalisée exclusivement sur levain. La pâte est pétrie mécaniquement à l'aide d'un pétrin à bras coudé puis laissée en fermentation longue à basse température. Façonnés à la main, mes produits sont ensuite cuits dans un four à bois.
                        Tous mes produits sont certifiés <a href="http://www.natureetprogres.org/">Nature et Progrès</a>.
                    </p>
			<!--<p>L'ensemble de ma gamme est réalisée exclusivement sur levain.</p>
			<p>La pâte est pétrie mécaniquement à l'aide d'un pétrin à bras coudé puis laissée en fermentation longue (36h) à basse température.</p>
			<p>Façonnés à la main, mes produits sont ensuite cuits dans un four à bois dit "à gueulard" situé à Amancey.</p>
			<p>Tous mes produits sont certifiés <a href="http://www.natureetprogres.org/">Nature et Progrès</a></p>
			<p><a href="http://www.natureetprogres.org/"><img class="logo-np" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/logo_natureetprogres.jpg" alt="Logo Nature & Progrès" /></a></p>
                        -->
                </div>
		<div class="col-md-4">
			<a class="img" href="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/four-gf.jpg" data-lightbox="four-gueulard" data-title="Le four à gueulard"><img width="200" height="301" class="img-rounded img-thumbnail" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/four2.jpg" alt="Four à gueulard" /></a>
		</div>
		
		<div class="clr"></div>
	</div>
</div>

<div class="item" id="fournisseurs">
	<div class="container">
	
		<div class="separateur"></div>
		<h2><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/fournisseurs.png" alt="Icone fournisseurs" /> Fournisseurs</h2>
		<div class="col-md-6">
			<iframe src="http://umap.openstreetmap.fr/fr/map/fournisseurs-le-chat-des-noisettes_41178?scaleControl=false&miniMap=false&scrollWheelZoom=false&zoomControl=true&allowEdit=false&moreControl=true&datalayersControl=true&onLoadPanel=undefined&captionBar=false"></iframe><p><a href="http://umap.openstreetmap.fr/fr/map/fournisseurs-le-chat-des-noisettes_41178">Voir en plein écran</a></p>
		</div>
		<div class="col-md-3">
			<h3 class="top">Farine</h3>
			<address>
				<strong><span>&bull;</span> La Grange Melot</strong> <img class="logo-ab" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/logo_ab.jpg" alt="Logo AB" /><br />
				Mamirolle
			</address>
			<address>
				<strong><span>&bull;</span> Moulin du Val d'Amour</strong> <img class="logo-ab" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/logo_ab.jpg" alt="Logo AB" /><br />
				Vaudrey
			</address>
			<address>
				<strong><span>&bull;</span> Moulin Taron</strong> <img class="logo-ab" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/logo_ab.jpg" alt="Logo AB" /><br />
				Chaussin
			</address>
			
			<h3>Sel</h3>
			<address>
				<strong><span>&bull;</span> Salins-les-Bains</strong>
			</address>
			
			
		</div>
		<div class="col-md-3">
		
			<h3 class="top">Lait</h3>
			<address>
				<strong><span>&bull;</span> Freddy Chatelain</strong> <img class="logo-ab" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/logo_ab.jpg" alt="Logo AB" /><br />
				Déservillers
			</address>
			
			<h3>Oeufs</h3>
			<address>
				<strong><span>&bull;</span> La Ferme des Intondables</strong> <img class="logo-ab" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/logo_ab.jpg" alt="Logo AB" /><br />
				Paroy
			</address>
			
			<h3>Beurre</h3>
			<address>
				<strong><span>&bull;</span> Fromagerie du Val de Loue</strong> <img class="logo-ab" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/logo_ab.jpg" alt="Logo AB" /><br />
				Grange-de-Vaivre
			</address>
		
			<h3>Oléagineux</h3>
			<address>
				<strong><span>&bull;</span> La goutte d'or du Plateau</strong> <img class="logo-ab" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/logo_ab.jpg" alt="Logo AB" /><br />
				Le Fied
			</address>
			
			<h3>Miel</h3>
			<address>
				<strong><span>&bull;</span> Le Chat des Noisettes</strong> <img class="logo-np" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/logo_natureetprogres.jpg" alt="Logo AB" /><br />
				Déservillers
			</address>
			
			
		</div>
		
		<div class="clr"></div>
		
		<h3>Et tout le reste ...</h3>
		<p><strong>Raiponce</strong> (France, <img class="logo-ab" width="21px" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/logo_ab.jpg" alt="Logo AB" />) me fournit les autres matières premières (sucre, graines ...) ainsi que les produits proposés à la vente en vrac (riz, pâtes ...).</p>
	</div>
</div>

<div class="item back1" id="contact">
	<div class="container">
	
		<div class="separateur"></div>
		<h2><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/icon_53324.png" alt="" /> Contact</h2>

		<a class="img-right" href="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/charbonnette-gf.jpg" data-lightbox="charbonnette" data-title="Charbonnette"><img class="img-rounded img-thumbnail" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/charbonnette.jpg" alt="Charbonnette" /></a>
		
		<div id="par-telephone">
			<h3>Par téléphone</h3>
			<p>Matthieu au <strong>06 37 02 72 20</strong></p>
		</div>
		
		<div id="par-courrier">
			<h3>Par courrier</h3>
			<address id="adresse-chat-noisettes">
				<strong>Le Chat des Noisettes</strong><br />
				8bis rue de l'École<br />
				25330 DÉSERVILLERS
			</address>	
		</div>

		<h3>Par email</h3>
		
		<div class="alert alert-warning">
			Pour passer une commande, merci de ne pas utiliser ce formulaire de contact mais de <a href="<?php echo Yii::$app->urlManager->createurl(['commande/index']) ; ?>">cliquer ici</a>.
		</div>
		
		<?php if(Yii::$app->session->getFlash('success')): ?>
			<div class="alert alert-success"><div class="icon"></div><?= Yii::$app->session->getFlash('success'); ?></div>
		<?php endif; ?>
		
		<?php $form = ActiveForm::begin(['id' => 'contact-form', 'action'=> '#par-telephone', 'layout' => 'horizontal',]); ?>
                <?= $form->field($model, 'name') ?>
                <?= $form->field($model, 'email') ?>
                <?= $form->field($model, 'subject') ?>
                <?= $form->field($model, 'body')->textArea(['rows' => 6]) ?>
                <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                    'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                ]) ?>
                <div class="form-group">
                    <?= Html::submitButton('Envoyer', ['class' => 'btn btn-default', 'name' => 'contact-button']) ?>
                </div>
            <?php ActiveForm::end(); ?>
		
	</div>
</div>